package ch.fhnw.kry;

import org.junit.jupiter.api.Test;

import static ch.fhnw.kry.Main.CHIFFRE;
import static ch.fhnw.kry.Main.KEY;
import static org.junit.jupiter.api.Assertions.*;

class DecryptTest {

    @Test
    void strToArray() {
        var decrypt = new Decrypt();

        String input = "00000100110100100000101110111000000000101000111110001110011111110110000001010001010000111010000000010011011001110010101110110000";
        int[] data = decrypt.strToArray(input);

        assertEquals(8, data.length);
        assertEquals(0x04D2, data[0]);
        assertEquals(0x2BB0, data[data.length - 1]);
    }

    @Test
    void decrypt() {
        var decrypt = new Decrypt();
        String decrypted = decrypt.decrypt(KEY, CHIFFRE);
    }
}
